Status: Closed Start date: 2010-09-05

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Same request as in #461, #2560 and related, but for context menu : custom fields of type "List" or "Boolean" at least should be

editable through context menu.

Related issues:

Has duplicate Redmine - Defect #9285: Custom Fields Update using Quick menu (... Closed 2011-09-20

Associated revisions

Revision 8824 - 2012-02-09 19:22 - Jean-Philippe Lang

Bulk-edit custom fields through context menu (#6296).

History

#1 - 2011-09-21 09:31 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2011-11-04 19:54 - Sébastien Gripon

+1

#3 - 2012-01-06 06:57 - hiroyuki SHIRAKAWA

+1

#4 - 2012-02-04 10:29 - Stefan Halter

hiroyuki SHIRAKAWA wrote:

+1

 ++1

#5 - 2012-02-06 18:33 - Jean-Philippe Lang

For multiselect custom fields, what would be the desired behaviour when clicking on a value in the contextual menu?

replace existing value(s) with the new one

add the new one to the existing value(s)

#6 - 2012-02-06 19:53 - Etienne Massip

Jean-Philippe Lang wrote:

For multiselect custom fields, what would be the desired behaviour when clicking on a value in the contextual menu?

replace existing value(s) with the new one

add the new one to the existing value(s)

 Would a context menu displaying all values with checkboxes be too much? :p

#7 - 2012-02-06 20:26 - Jean-Philippe Lang

Etienne Massip wrote:
Would a context menu displaying all values with checkboxes be too much? :p

 And a submit button I guess. Then yes :-)

#8 - 2012-02-06 21:05 - Etienne Massip

Jean-Philippe Lang wrote:

And a submit button I guess. Then yes :-)

 Too bad, nobody had done it before.

Well, your question isn't that easy to answer, I feel like there is no right answer.

#9 - 2012-02-09 19:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Comitted in r8824.

Multiselect custom fields are not proposed since the context menu allows to select a single value only. The bulk edit form is just 1 click away for those

fields.

#10 - 2012-02-11 12:54 - Etienne Massip

Jean-Philippe Lang wrote:

Comitted in r8824.

Multiselect custom fields are not proposed since the context menu allows to select a single value only. The bulk edit form is just 1 click away for

those fields.

 I think that the best choice! Thanks !
